/* 
  HomeMaticService.strings
  SeeCoreResources

  Created by Helge Heß on 27.09.19.
  Copyright © 2019-2021 ZeeZide. All rights reserved.
*/

nameLabel                = "Name";

Edit.title               = "HomeMatic";
Edit.secureCheckbox      = "Use secure connection";

Create.title             = "Add CCU";
Create.introText         = "Create an account for a HomeMatic base station (CCU). Specify the name of the account, the hostname of the CCU and whether a secure connection should be established.";
Create.createButtonTitle = "Create";
Create.scanButton.start  = "Scan for CCU";
Create.scanButton.stop   = "Stop";

ScriptOutput.default = "Add some script in the textarea above, and run!\nRun scripts using Command-r, clear this output with Command-k.\n";

ScriptDefaultContent = "! HomeMatic Script\n! Lines that start w/ a `!` are comments.\n! Example: WriteLine(\"Hello World\");\n";

Variables                       = "Variables";
ScriptResultVariables           = "Script Variables";

RunStatus.ready                 = "Ready to run.";
RunStatus.idle                  = "No script is running";
RunStatus.running               = "Running script ...";
RunStatus.runningCount          = "Running %i scripts ...";
RunStatus.runtimeInfo           = "Runtime of last script: \(%@)";
RunStatus.noOutput              = "No output returned.";
RunStatus.lines                 = "Lines: #%i";

RunStatus.Error.missingService  = "Configure and select a CCU!";
RunStatus.Error.noServiceOnline = "No configured CCU is online!";
RunStatus.Error.lastFailed      = "Last script failed.";
RunStatus.Error.lastErrored     = "Error in last script.";
RunStatus.Error.syntaxError     = "Syntax Error.";
RunStatus.Error.syntaxErrorLine = "Line %i: Syntax Error.";
RunStatus.Error.couldNotDecodeScriptString = "Could not decode script string?";

Editor.shiftLeft                = "Shift Left";
Editor.shiftRight               = "Shift Right";
Editor.toggleComments           = "Toggle Comments";
Editor.shiftLeft_help           = "Shift selection left.";
Editor.shiftRight_help          = "Shift selection right.";
Editor.toggleComments_help      = "Comment/uncomment selection.";
Editor.clear                    = "Clear";
Editor.clear_help               = "Clear output and errors.";
Editor.run                      = "Run";
Editor.stop                     = "Stop";
Editor.run_help                 = "Send script to CCU Rega Daemon.";
Editor.stop_help                = "Cancel processing and incoming results.";
Editor.toggleHorizVert          = "Horizontal/Vertical Editor";
Editor.examples                 = "Examples";
Editor.toggleHorizVert_help     = "Switch between horizontal and vertical editor";
Editor.examples_help            = "Insert HomeMatic Script example snippets.";
Editor.copyOutput               = "Copy Output";
Editor.copyOutput_help          = "Copies the output text to the clipboard.";
Editor.showOutput               = "Show Output";
Editor.showOutput_help          = "Shows the textual output returned by the script.";
Editor.showVariables            = "Show Variables";
Editor.showVariables_help       = "Shows the variables returned by the script.";

Settings                        = "CCU Settings";
Accounts.Loading                = "Loading Accounts …";
Accounts.Add                    = "Add Account";
Accounts.ConfigureCCU           = "Configure CCU";

Errors.unknown                  = "Some error happend";
Errors.offline                  = "CCU is offline";
Errors.offlineAuthFailed        = "CCU is offline: Authentification failed.";
Errors.noBatteryDevices         = "Did not find any battery powered devices!";
Errors.noCCUSelected            = "No CCU Selected";
Errors.unexpectedServiceState   = "Unexpected Service State";

Issues.commonTitle              = "Common Issues";
Issues.loginRequiredUnset       = "Login is required (is unset).";
Issues.loginPwdWrong            = "Login or password are wrong.";
Issues.regaAccessDisabled       = "Access to the “Remote Homematic script API” is disabled. (Check the CCU firewall configuration).";
Issues.routerBlocksPhone        = "Router blocks iPhone from accessing the CCU.";
Issues.requiresSecure           = "CCU requires secure connection.";
Issues.Actions.getSupport       = "Get support …";
Issues.Actions.openWebUI        = "Open CCU WebUI …";
Issues.Actions.checkRegaBrowser = "Check Rega API access in browser …";

Apps.BatteryStatus              = "Battery Status for HomeMatic";
Apps.BatteryStatusByZZ          = "Battery Status for HomeMatic by ZeeZide";

Device.IsReachable              = "Reachable";
Device.ID                       = "ID";
Device.Type                     = "Type";
Device.ReportsLowBat            = "The device reports low battery.";
Device.UnreachLongBatteryInfo   = "The device is reported as unreachable by the CCU, the battery readings may be old!";

Voltage                         = "Voltage";
VoltageRange                    = "Voltage Range";

Battery.Required.Count             = "The device requires %@ batteries";
Battery.Required.TypeAndCount      = "The device requires %@ %@ batteries";
Battery.Required.Type              = "The device requires a %@ battery";
Battery.OtherNames                 = "Other names: %@.";
Battery.HasWinMatic                = "The device has a WinMatic battery pack.";
Battery.HasBuiltin                 = "The device has a builtin battery.";
Battery.Lifetime                   = "Lifetime";
Battery.Lifetime.OneYear           = "One Year";
Battery.Lifetime.NYears            = "%i Years";
Battery.Lifetime.NYearsFloat       = "%.1f Years";
Battery.Change                     = "Battery Change";
Battery.Change.Date                = "Change Date";
Battery.Change.LastChange          = "Last Change";
Battery.Change.NoneTracked         = "No changes tracked";
Battery.Change.trackingNeedsICloud = "Change tracking requires iCloud.";
Battery.Change.iCloudNote          = "Record a battery change. The change dates are recorded in your personal iCloud database and are not passed to 3rd parties.";
Battery.Contains.NiMH              = "The device has %i× 1.2V NiMH AA batteries (HR6, ANSI 15H).";
Battery.List.Filter.all            = "All";
Battery.List.Filter.unreachable    = "Unreach";
Battery.List.Filter.batteryLow     = "Low";

Store.IntroBaseStationReady = "Access to the Homematic base station could be established. To be able to use the battery list functionality, please acquire this in-app-purchase.";

FAQ.question.001 = "Can I use the app w/ an Homematic IP Access Point?";
FAQ.answer.001   = "No, the HomeMatic IP Access Point is not currently supported. HMBattery requires a CCU 2, 3 or RaspberryMatic.";
FAQ.question.002 = "Can I use Cloudmatic?";
FAQ.answer.002   = "No, sorry, CloudMatic is not supported and no support is planned. The VPN solutions built into iOS itself should work fine to access your network remotely and are completely free.";
